Bug 1181327 - kernel splat, screen remains in power save mode
kernel splat, screen remains in power save mode
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
x86-64 openSUSE Leap 15.2
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-24 06:41 UTC by Jürgen Groß
Modified: 2022-02-11 12:35 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürgen Groß 2021-01-24 06:41:24 UTC
System was inactive for some time, so screens were going to power save mode. After moving the mouse only two of my 3 screens became alive again, the third one remained black.

In messages I see:

2021-01-23T20:16:09.512513+01:00 lap kernel: [14492.019503] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
2021-01-23T20:16:09.512538+01:00 lap kernel: [14492.019598] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in shared_dpll (expected 00000000b8b74152, found 00000000971b3ba1)
2021-01-23T20:16:09.512544+01:00 lap kernel: [14492.019687] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in dpll_hw_state.ctrl1 (expected 0x00000003, found 0x00000001)
2021-01-23T20:16:09.512546+01:00 lap kernel: [14492.019786] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
2021-01-23T20:16:09.512548+01:00 lap kernel: [14492.019863] [drm:pipe_config_mismatch [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
2021-01-23T20:16:09.512550+01:00 lap kernel: [14492.019866] ------------[ cut here ]------------
2021-01-23T20:16:09.512552+01:00 lap kernel: [14492.019867] pipe state doesn't match!
2021-01-23T20:16:09.512554+01:00 lap kernel: [14492.020019] WARNING: CPU: 8 PID: 1625 at ../drivers/gpu/drm/i915/display/intel_display.c:13159 intel_atomic_commit_tail+0x1414/0x14e0 [i915]
2021-01-23T20:16:09.512556+01:00 lap kernel: [14492.020021] Modules linked in: fuse tun ccm rfcomm rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache af_packet dmi_sysfs bnep typec_displayport snd_hda_codec_hdmi uvcvideo v4l2_common videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common btusb btrtl videodev btbcm btintel mc bluetooth ecdh_generic ecc hid_multitouch sof_pci_dev snd_sof_intel_hda_common iTCO_wdt snd_sof_intel_hda mei_hdcp mei_wdt iTCO_vendor_support intel_rapl_msr dell_rbtn msr x86_pkg_temp_thermal snd_sof_intel_byt dell_laptop intel_powerclamp snd_sof_intel_ipc dell_smm_hwmon snd_sof coretemp snd_sof_xtensa_dsp kvm_intel snd_soc_skl kvm snd_soc_hdac_hda snd_hda_ext_core nls_iso8859_1 snd_soc_skl_ipc snd_soc_sst_ipc iwlmvm snd_hda_codec_realtek snd_soc_sst_dsp nls_cp437 irqbypass crct10dif_pclmul crc32_pclmul snd_soc_acpi_intel_match ghash_clmulni_intel snd_soc_acpi vfat snd_hda_codec_generic xfs ledtrig_audio mac80211 snd_soc_core fat aesni_intel libarc4 snd_compress aes_x86_64
2021-01-23T20:16:09.512563+01:00 lap kernel: [14492.020067]  snd_pcm_dmaengine crypto_simd cryptd snd_hda_intel glue_helper iwlwifi snd_hda_codec snd_hda_core dell_wmi snd_hwdep dell_smbios dcdbas cfg80211 snd_pcm joydev pcspkr snd_timer efi_pstore snd idma64 mei_me rtsx_pci_ms processor_thermal_device intel_wmi_thunderbolt dell_wmi_descriptor wmi_bmof i2c_i801 mei memstick intel_rapl_common rfkill soundcore intel_lpss_pci intel_lpss intel_soc_dts_iosf intel_pch_thermal int3403_thermal int340x_thermal_zone dell_smo8800 ucsi_acpi typec_ucsi typec thermal intel_hid battery int3400_thermal acpi_thermal_rel sparse_keymap acpi_pad ac hid_generic usbhid nouveau mxm_wmi btrfs libcrc32c xor i915 raid6_pq rtsx_pci_sdmmc mmc_core ttm i2c_algo_bit drm_kms_helper xhci_pci xhci_hcd syscopyarea sysfillrect sysimgblt fb_sys_fops crc32c_intel serio_raw drm nvme usbcore nvme_core rtsx_pci i2c_hid wmi video pinctrl_cannonlake pinctrl_intel button sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua efivarfs
2021-01-23T20:16:09.512565+01:00 lap kernel: [14492.020121] CPU: 8 PID: 1625 Comm: X Not tainted 5.3.18-lp152.60-default #1 openSUSE Leap 15.2
2021-01-23T20:16:09.512567+01:00 lap kernel: [14492.020123] Hardware name: Dell Inc. Precision 5530/0NFGCT, BIOS 1.8.1 02/01/2019
2021-01-23T20:16:09.512569+01:00 lap kernel: [14492.020202] RIP: 0010:intel_atomic_commit_tail+0x1414/0x14e0 [i915]
2021-01-23T20:16:09.512571+01:00 lap kernel: [14492.020206] Code: e9 1d f6 ff ff e8 cc 48 42 e5 0f 0b e9 2c f2 ff ff 0f b6 f0 48 c7 c7 b0 fd 73 c0 e8 96 62 d9 ff e9 8a fb ff ff e8 ac 48 42 e5 <0f> 0b e9 89 f2 ff ff e8 a0 48 42 e5 0f 0b 0f b6 0c 24 e9 a5 f8 ff
2021-01-23T20:16:09.512573+01:00 lap kernel: [14492.020208] RSP: 0018:ffffa861c05d3b30 EFLAGS: 00010282
2021-01-23T20:16:09.512575+01:00 lap kernel: [14492.020211] RAX: 0000000000000000 RBX: ffff9210529bf000 RCX: 0000000000000006
2021-01-23T20:16:09.512576+01:00 lap kernel: [14492.020213] RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff92125c419a10
2021-01-23T20:16:09.512579+01:00 lap kernel: [14492.020215] RBP: ffff920b07178000 R08: 0000000000000526 R09: 0000000000000001
2021-01-23T20:16:09.512581+01:00 lap kernel: [14492.020217] R10: 0000000000000007 R11: 0000000000000001 R12: ffff921142d20000
2021-01-23T20:16:09.512583+01:00 lap kernel: [14492.020219] R13: ffff921251f802b8 R14: ffff921251f80000 R15: ffff921251f802b0
2021-01-23T20:16:09.512585+01:00 lap kernel: [14492.020222] FS:  00007f474120eec0(0000) GS:ffff92125c400000(0000) knlGS:0000000000000000
2021-01-23T20:16:09.512586+01:00 lap kernel: [14492.020224] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2021-01-23T20:16:09.512588+01:00 lap kernel: [14492.020226] CR2: 00007f474122e000 CR3: 0000000854f32006 CR4: 00000000003606e0
2021-01-23T20:16:09.512607+01:00 lap kernel: [14492.020228] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
2021-01-23T20:16:09.512609+01:00 lap kernel: [14492.020229] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
2021-01-23T20:16:09.512610+01:00 lap kernel: [14492.020231] Call Trace:
2021-01-23T20:16:09.512612+01:00 lap kernel: [14492.020316]  intel_atomic_commit+0x273/0x350 [i915]
2021-01-23T20:16:09.512615+01:00 lap kernel: [14492.020358]  drm_atomic_connector_commit_dpms+0xe5/0xf0 [drm]
2021-01-23T20:16:09.512616+01:00 lap kernel: [14492.020398]  drm_mode_obj_set_property_ioctl+0x19f/0x2e0 [drm]
2021-01-23T20:16:09.512619+01:00 lap kernel: [14492.020437]  ? drm_connector_set_obj_prop+0x70/0x70 [drm]
2021-01-23T20:16:09.512620+01:00 lap kernel: [14492.020472]  drm_connector_property_set_ioctl+0x3e/0x60 [drm]
2021-01-23T20:16:09.512622+01:00 lap kernel: [14492.020501]  drm_ioctl_kernel+0xac/0xf0 [drm]
2021-01-23T20:16:09.512624+01:00 lap kernel: [14492.020531]  drm_ioctl+0x2eb/0x3b0 [drm]
2021-01-23T20:16:09.512625+01:00 lap kernel: [14492.020566]  ? drm_connector_set_obj_prop+0x70/0x70 [drm]
2021-01-23T20:16:09.512627+01:00 lap kernel: [14492.020574]  ? __switch_to_xtra+0x2c8/0x580
2021-01-23T20:16:09.512629+01:00 lap kernel: [14492.020579]  ? update_load_avg+0x1ac/0x620
2021-01-23T20:16:09.512631+01:00 lap kernel: [14492.020583]  ? update_load_avg+0x1ac/0x620
2021-01-23T20:16:09.512633+01:00 lap kernel: [14492.020590]  do_vfs_ioctl+0xa0/0x680
2021-01-23T20:16:09.512635+01:00 lap kernel: [14492.020597]  ? __schedule+0x305/0x750
2021-01-23T20:16:09.512636+01:00 lap kernel: [14492.020602]  ksys_ioctl+0x70/0x80
2021-01-23T20:16:09.512637+01:00 lap kernel: [14492.020608]  __x64_sys_ioctl+0x16/0x20
2021-01-23T20:16:09.512640+01:00 lap kernel: [14492.020614]  do_syscall_64+0x65/0x1f0
2021-01-23T20:16:09.512641+01:00 lap kernel: [14492.020618]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
2021-01-23T20:16:09.512643+01:00 lap kernel: [14492.020622] RIP: 0033:0x7f473eb02ac7
2021-01-23T20:16:09.512645+01:00 lap kernel: [14492.020626] Code: b3 66 90 48 8b 05 d1 13 2c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d a1 13 2c 00 f7 d8 64 89 01 48
2021-01-23T20:16:09.512647+01:00 lap kernel: [14492.020628] RSP: 002b:00007ffdce072df8 EFLAGS: 00003246 ORIG_RAX: 0000000000000010
2021-01-23T20:16:09.512649+01:00 lap kernel: [14492.020631] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f473eb02ac7
2021-01-23T20:16:09.512651+01:00 lap kernel: [14492.020632] RDX: 00007ffdce072e30 RSI: 00000000c01064ab RDI: 000000000000000e
2021-01-23T20:16:09.512653+01:00 lap kernel: [14492.020634] RBP: 00007ffdce072e30 R08: 0000564866855dc0 R09: 000056486669fe70
2021-01-23T20:16:09.512655+01:00 lap kernel: [14492.020636] R10: 0000000000000000 R11: 0000000000003246 R12: 00000000c01064ab
2021-01-23T20:16:09.512657+01:00 lap kernel: [14492.020637] R13: 000000000000000e R14: 000056486669e3a0 R15: 0000564864c7a480
2021-01-23T20:16:09.512659+01:00 lap kernel: [14492.020641] ---[ end trace ca64441636ed8972 ]---

This happened twice today.

Hardware config:

Dell Precision Laptop with Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz cpu

# lspci
00:00.0 Host bridge: Intel Corporation 8th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 630 (Mobile)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 07)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th/8th Gen Core Processor Gaussian Mixture Model
00:12.0 Signal processing controller: Intel Corporation Cannon Lake PCH Thermal Controller (rev 10)
00:14.0 USB controller: Intel Corporation Cannon Lake PCH USB 3.1 xHCI Host Controller (rev 10)
00:14.2 RAM memory: Intel Corporation Cannon Lake PCH Shared SRAM (rev 10)
00:15.0 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH Serial IO I2C Controller #0 (rev 10)
00:15.1 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH Serial IO I2C Controller #1 (rev 10)
00:16.0 Communication controller: Intel Corporation Cannon Lake PCH HECI Controller (rev 10)
00:17.0 SATA controller: Intel Corporation Cannon Lake Mobile PCH SATA AHCI Controller (rev 10)
00:1b.0 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #17 (rev f0)
00:1c.0 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #1 (rev f0)
00:1c.4 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #5 (rev f0)
00:1d.0 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #9 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device a30e (rev 10)
00:1f.3 Audio device: Intel Corporation Cannon Lake PCH cAVS (rev 10)
00:1f.4 SMBus: Intel Corporation Cannon Lake PCH SMBus Controller (rev 10)
00:1f.5 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH SPI Controller (rev 10)
01:00.0 3D controller: NVIDIA Corporation GP107GLM [Quadro P1000 Mobile] (rev a1)
02:00.0 PCI bridge: Intel Corporation JHL6340 Thunderbolt 3 Bridge (C step) [Alpine Ridge 2C 2016] (rev 02)
03:00.0 PCI bridge: Intel Corporation JHL6340 Thunderbolt 3 Bridge (C step) [Alpine Ridge 2C 2016] (rev 02)
03:01.0 PCI bridge: Intel Corporation JHL6340 Thunderbolt 3 Bridge (C step) [Alpine Ridge 2C 2016] (rev 02)
03:02.0 PCI bridge: Intel Corporation JHL6340 Thunderbolt 3 Bridge (C step) [Alpine Ridge 2C 2016] (rev 02)
3a:00.0 USB controller: Intel Corporation JHL6340 Thunderbolt 3 USB 3.1 Controller (C step) [Alpine Ridge 2C 2016] (rev 02)
3b:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)
3c:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)
3d:00.0 Non-Volatile memory controller: Toshiba Corporation Device 0116

The affected monitor is connected to the docking station (via thunderbolt)

I couldn't shut down the system normally when it happened the first time, it would hang. At the second incident I let the system just sit there and in the next morning it was unusable, even network access wasn't possible.
Comment 1 Takashi Iwai 2021-01-24 08:05:30 UTC
I don't think that this warning itself could lead to more severe problem like the freezing.  It may indicate a tip of the iceberg, of course, but no direct cause.

Which X driver is used?  modesetting or xf86-video-intel?  (I guess the former, but just to make sure)
Comment 2 Jürgen Groß 2021-01-24 11:36:40 UTC
I'd say this is modesetting, according to X.log:

[    29.717] (II) LoadModule: "intel"
[    29.717] (WW) Warning, couldn't open module intel
[    29.717] (EE) Failed to load module "intel" (module does not exist, 0)
[    29.717] (II) LoadModule: "modesetting"
[    29.717] (II) Loading /usr/lib64/xorg/modules/drivers/modesetting_drv.so
[    29.717] (II) Module modesetting: vendor="X.Org Foundation"
[    29.717]    compiled for 1.20.3, module version = 1.20.3
[    29.717]    Module class: X.Org Video Driver
[    29.717]    ABI class: X.Org Video Driver, version 24.0
Comment 3 Takashi Iwai 2021-01-29 19:53:43 UTC
Thanks.  Yes, it looks like the modesetting being used.

The error reminds me of an old issue with DP-MST, happening with two monitors.

You can try openSUSE-15.2 KOTD in IBS Devel:Kernel:openSUSE-15.2 as lots of DRM fix patches have been backported recently, although I don't think this bug is covered by those.

BTW, how is this bug reproducible?  Does it happen always, or only very occasionally?
Comment 4 Jürgen Groß 2021-01-30 06:12:44 UTC
Haven't seen it since the original report.
Comment 5 Miroslav Beneš 2022-02-11 12:15:35 UTC
Juergen, anything new here? Leap 15.3 has a newer stack so it may have been fixed in the meantime.
Comment 6 Jürgen Groß 2022-02-11 12:28:40 UTC
(In reply to Miroslav Beneš from comment #5)
> Juergen, anything new here? Leap 15.3 has a newer stack so it may have been
> fixed in the meantime.

I haven't seen it since updating to 15.3 some months ago.

I'm fine to have this bug being closed.
Comment 7 Miroslav Beneš 2022-02-11 12:35:02 UTC
Thanks for the feedback. Closing.